Subject: Re: Current Directory? [Branch from Re: DLL naming conventions]
From: "David A. Cobb" <[email-masked]>
To: [email-masked]
Date: Tue, 05 Sep 2000 16:37:15 -0400

Bob McGowan wrote:

> I'd like to expand on this, hopefully to add clarity.  The above is
> absolutely correct, for an interactive foreground shell session.
> Another way to say it is that the "current directory" is what you would
> get if you were to open the file named "." (dot, period...) in an
> application (which includes the shells).
>
> Additionally, since any particular application may be run in the
> background, and may also change directory, it is possible to have
> several "current directories", depending on which of the running
> applications you are referring to.
>

The "Current Directory" then, must be a property/attribute of the "Current
Process."  Is that correct?  With respect to the operator, it is relative
to the
current top window?

In other words, when I launch a program the cd is established by the
[shell] process in which I execute the launch command.  Subsequently, the
running
process may change it internally.  If I focus somewhere else, "my" current
directory changes, but that's irrelevant to the program I launched before.

Have I got it?

>
> --
> Bob McGowan
> Staff Software Quality Engineer
> VERITAS Software
> [email-masked]
>
> --
> Want to unsubscribe from this list?
> Send a message to [email-masked]

--
David A. Cobb, Software Engineer, Public Access Advocate
"Don't buy or use crappy software"
"By the grace of God I am a Christian man,
 by my actions a great sinner" -- The Way of a Pilgrim [R. M. French, tr.]

--
Want to unsubscribe from this list?
Send a message to [email-masked]